debian apt-cacher-ng

L'arrivée prochaine de la dernière mouture de debian peut-être l'occasion d'installer ce paquet si vous disposez de plusieurs machines. Cela soulagera les serveurs debian et vous gagnerez du temps.

J'utilisais en effet jusqu'à présent apt-proxy pour les mises à jour de mes vm tournant sur debian etch ( voir billet ) et j'ai voulu répéter l'opération pour lenny mais ça n'a pas fonctionné. Il m'était en effet impossible de récupérer les fichier bzippés. Déjà lors du démarrage du service apt-proxy sur une lenny je me prenais un joli warning que j'avoue ne pas avoir approfondi...

/*etc*/init.d/apt-proxy start Starting apt-proxy:/usr/lib/python2.5/site-packages/twisted/manhole/telnet.py:8: DeprecationWarning: As of Twisted 2.1, twisted.protocols.telnet is deprecated. See twisted.conch.telnet for the current, supported API. from twisted.protocols import telnet None

/usr/lib/python2.5/site-packages/twisted/manhole/telnet.py:8: DeprecationWarning: As of Twisted 2.1, twisted.protocols.telnet is deprecated. See twisted.conch.telnet for the current, supported API. from twisted.protocols import telnet None

Ca n'était pas bloquant car le service démarrait bien mais c'est tout. Je me suis donc tourné vers une solution de rechange (eh oui c'est linux :) tout aussi intéressante: apt-cacher-ng. Les perfs sont au rendez-vous et l'installation est tout aussi simple, voire plus.

Détails par ici